### Hierarchy

- SignedRequest

## Index

### Constructors

- constructor

### Properties

- data
- nonce
- pk
- sig

## Constructors

### constructor

- new SignedRequest(data: object, publicKey: string, sig: string, nonce: number): SignedRequest

- - Defined in repository/source/http/SignedRequest.ts:5

  #### Parameters

  - ##### data: object

  - ##### publicKey: string

  - ##### sig: string

  - ##### nonce: number

  #### Returns SignedRequest

## Properties

### data

data: object

- Defined in repository/source/http/SignedRequest.ts:2

### nonce

nonce: number

- Defined in repository/source/http/SignedRequest.ts:5

### pk

pk: string

- Defined in repository/source/http/SignedRequest.ts:3

### sig

sig: string

- Defined in repository/source/http/SignedRequest.ts:4

Generated using TypeDoc